<?php
/**
 * @package   AkeebaBackup
 * @copyright Copyright (c)2006-2016 Nicholas K. Dionysopoulos
 * @license   GNU General Public License version 3, or later
 */

/** @var $this \Akeeba\Backup\Admin\View\ControlPanel\Html */

// Protect from unauthorized access
defined('_JEXEC') or die();

?>
<h3>@lang('COM_AKEEBA_CPANEL_LABEL_STATUSSUMMARY')</h3>
<div>
	{{-- Backup status summary --}}
	<?php echo $this->statusCell ?>

	{{-- Warnings --}}
	@if ($this->countWarnings)
	<div>
		<?php echo $this->detailsCell ?>
	</div>
	<hr/>
	@endif

	{{-- Version --}}
	<p class="ak_version">
		@lang('COM_AKEEBA') {{AKEEBA_PRO ? 'Professional ' : 'Core'}} {{AKEEBA_VERSION}} ({{AKEEBA_DATE}})
	</p>

	{{-- Changelog --}}
	<a href="#" id="btnchangelog" class="btn btn-info btn-small">CHANGELOG</a>

	<div class="modal fade" id="akeeba-changelog" tabindex="-1" role="dialog" aria-labelledby="DialogLabel" aria-hidden="true" style="display:none;">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					<h4 class="modal-title" id="errorDialogLabel">
						@lang('CHANGELOG')
					</h4>
				</div>
				<div class="modal-body" id="DialogBody">
				{{$this->formattedChangelog}}
				</div>
			</div>
		</div>
	</div>

	{{-- Donation CTA --}}
	@unless(AKEEBA_PRO)
		<form action="https://www.paypal.com/cgi-bin/webscr" method="post" style="display: inline-block">
			<input type="hidden" name="cmd" value="_s-xclick" />
			<input type="hidden" name="hosted_button_id" value="10903325" />
			<input type="submit" class="btn btn-inverse btn-small" value="Donate via PayPal" />
			<!--<input class="btn" type="image" src="https://www.paypal.com/en_GB/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online." style="border: none !important; width: 92px; height 26px;" />-->
			<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
		</form>
	@endunless

	{{-- Reload update information --}}
	<a href="index.php?option=com_akeeba&view=ControlPanel&task=reloadUpdateInformation" class="btn btn-inverse btn-small">
		@lang('COM_AKEEBA_CPANEL_MSG_RELOADUPDATE')
	</a>
</div>